Bug 198586 - Review Request: ip6sic - IPv6 Stack Integrity Checker
Review Request: ip6sic - IPv6 Stack Integrity Checker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-11 23:35 EDT by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 09:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-07-11 23:35:49 EDT
Spec URL: http://wilsonet.com/packages/ip6sic/ip6sic.spec
SRPM URL: http://wilsonet.com/packages/ip6sic/ip6sic-0.1-1.fc6.src.rpm
Description:
ip6sic is a tool for stress testing an IPv6 stack
implementation. It works in a way much similar to isic
which lives at http://www.packetfactory.net/Projects/ISIC/. 
It was developed mainly on FreeBSD and is known to work on
OpenBSD and Linux. Theoretically, it should work wherever
libdnet works.
Comment 1 Jason Tibbitts 2006-07-27 00:50:18 EDT
My only concern is the description; I'm not sure it's really relevant to mention
that the source will compile on OpenBSD, or to mention the isic URL when isic is
already in extras.

I'll leave it to you to decide what you want to do.

Review:
* source files match upstream:
   b545715256f9c362703754a894fe9093  ip6sic-0.1.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ip6sic = 0.1-1.fc6
  =
   libdnet >= 1.1.0
   libdnet.so.1()(64bit)
   libpcap >= 0.4
   libpcap.so.0.9.4()(64bit)
* %check is not present; no test suite upstream.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jarod Wilson 2006-07-27 09:03:46 EDT
The description was basically a simple copy-n-paste off the project page, but
yeah, I suppose we don't really give a rip that it builds on OpenBSD. I'm
importing a -2 revision with a sanitized description. Building for devel as I
type, branching for FC5 requested.
Comment 3 Jarod Wilson 2006-07-28 09:13:23 EDT
Built for FC5, closing ticket.
Comment 4 Christian Iseli 2006-12-31 05:55:08 EST
(In reply to comment #3)
> Built for FC5, closing ticket.

Please do not remove the FE-ACCEPT blocker.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.